DHCP conflicts triggered for non-conflicting leases

05/08/2014 04:07 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: DHCP   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1107707 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1861

  

Description

if an active lease (even one matching the current host data) is attempted to be provisioned, the core will raise some like this:

ProxyAPI::ProxyException

ERF12-4395 [ProxyAPI::ProxyException]: Unable to retrieve DHCP entry for 52:54:00:33:b5:df ([Net::

LeaseConflict]: 52:54:00:33:b5:df/192.168.123.52) for proxy 

https://foreman.hostonly.sapphire.elysium.emeraldreverie.org:8443/dhcp

lib/proxy_api/dhcp.rb:53:in `rescue in record'

lib/proxy_api/dhcp.rb:43:in `record'

lib/net/dhcp/record.rb:41:in `conflicts'

lib/net.rb:27:in `conflicting?'

app/models/concerns/orchestration/dhcp.rb:140:in `dhcp_conflict_detected?'

app/models/concerns/orchestration.rb:47:in `valid?'

app/models/concerns/foreman/sti.rb:29:in `save_with_type'

app/models/taxonomy.rb:41:in `block in no_taxonomy_scope'

app/models/taxonomy.rb:48:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:47:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:46:in `as_taxonomy'

app/models/taxonomy.rb:40:in `no_taxonomy_scope'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

 This is due to 90ff2a3a4eaa07af0f9521468a978701cf21981f which added extra validations to the dhcp orchestration.

Related issues:

Related to Smart Proxy - Bug #5648: DHCP lease reading is done in the wrong o... Closed 05/09/2014

Related to Foreman - Bug #7971: DHCP conflict still triggered for non-conflic... Closed 10/16/2014

Related to Foreman - Feature #8720: Add disable_dhcp_validations global setting Rejected 12/16/2014

Has duplicate Foreman - Bug #6032: No option to overwrite DHCP option Duplicate 06/03/2014

Has duplicate Foreman - Feature #5608: Existing DHCP lease cannot be overwritten Duplicate 05/07/2014

Associated revisions

Revision 14646e77 - 05/16/2014 03:54 PM - Greg Sutcliffe

Fixes #5637 - Don't raise lease conflicts when reading ad-hoc DHCP leases

Revision a0c1c721 - 06/11/2014 01:02 PM - Greg Sutcliffe

Fixes #5637 - Don't raise lease conflicts when reading ad-hoc DHCP leases

(cherry picked from commit 14646e777718ffcce9a74f376fd1ee50c5363742)

History
#1 - 05/08/2014 04:09 PM - Dominic Cleal

- Status changed from New to Assigned

#2 - 05/09/2014 09:34 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1430

#3 - 05/12/2014 08:43 AM - Dominic Cleal

- Related to Bug #5648: DHCP lease reading is done in the wrong order added

#4 - 05/16/2014 04:31 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 14646e777718ffcce9a74f376fd1ee50c5363742.

#5 - 06/03/2014 11:00 AM - Dominic Cleal

- Has duplicate Bug #6032: No option to overwrite DHCP option added

#6 - 06/05/2014 07:05 AM - Dominic Cleal

- Has duplicate Feature #5608: Existing DHCP lease cannot be overwritten added

#7 - 06/10/2014 12:55 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107707

#8 - 10/16/2014 06:13 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1861 added

#9 - 10/16/2014 06:29 AM - Lukas Zapletal

- Related to Bug #7971: DHCP conflict still triggered for non-conflicting leases added

#10 - 02/25/2015 04:18 AM - Lukas Zapletal

- Related to Feature #8720: Add disable_dhcp_validations global setting added

Powered by TCPDF (www.tcpdf.org)

05/11/2024 2/2

https://github.com/theforeman/foreman/pull/1430
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/14646e777718ffcce9a74f376fd1ee50c5363742
http://www.tcpdf.org

